﻿using System.Drawing;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

namespace _8730
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics graphics = e.Graphics;
            graphics.SmoothingMode = SmoothingMode.AntiAlias;
            //graphics.SmoothingMode = SmoothingMode.HighQuality;
            graphics.CompositingQuality = CompositingQuality.HighQuality;
            graphics.InterpolationMode = InterpolationMode.HighQualityBicubic;

            Pen pen = new Pen(Color.Green, 1.0f);
            pen.DashStyle = System.Drawing.Drawing2D.DashStyle.Dash;
            pen.DashCap = System.Drawing.Drawing2D.DashCap.Round;

            PointF p1 = new PointF(500.0f, 100.0f);
            PointF p2 = new PointF(100.0f, 400.0f);

            graphics.DrawLine(pen, p1, p2);
        }
    }
}
